<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_purchases_stored_edit, App_Web_xleunhn4" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">
    <div id="leftcontent">
        <asp:PlaceHolder ID="errs" runat="server" />        
        <asp:Panel ID="pnl_saved" Visible="false" runat="server">
            <div id="div_saved" class="alert_box">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-green.gif" AlternateText="Saved" /> Your changes have been saved.</p>
            </div>
        </asp:Panel>
        
        <div align="center">
		    <asp:label id="txtBoxError" runat="server" Font-Size="Small" Font-Bold="true" ForeColor="red" BorderStyle="None"></asp:label>
		</div>

        <fieldset>
            <legend>Stored Line Item Information<asp:label ID="lblLegend" ForeColor="#7195a3" Font-Bold="true" runat="server" visible="true"/></legend>
            <table cellpadding="3" border="0">
                <tr>
                    <td width="120" nowrap="nowrap"><div align="right">Active:&nbsp;&nbsp;</div></td>
                    <td class="label"><asp:CheckBox ID="active" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap"><div align="right">Item Number:&nbsp;<span class="required">*</span></div></td>
                    <td class="label"><asp:TextBox Width="280" CssClass="lblDrop" ID="itemnumber" runat="server" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap"><div align="right">Description:&nbsp;<span class="required">*</span></div></td>
                    <td class="label"><asp:TextBox Width="280" ID="description" CssClass="lblDrop" runat="server" /></td>
                </tr>
                <tr>
                    <td><div align="right">Unit Type:&nbsp;<span class="required">*</span></div></td>
                    <td align="left"><asp:dropdownlist id="DropDownList1" runat="server" Width="200px" CssClass="lblDrop" AutoPostBack="true" /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap"><div align="right">Amount:&nbsp;<span class="required">*</span></div></td>
                    <td class="label"><asp:TextBox Width="280" ID="amount" CssClass="lblDrop" runat="server" /><ajaxToolkit:FilteredTextBoxExtender ID="ftb_amount" runat="server" TargetControlID="amount" FilterType="Custom, Numbers" ValidChars="." /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap"><div align="right">Discount %:&nbsp;<span class="required">*</span></div></td>
                    <td class="label"><asp:TextBox Width="280" ID="discount" CssClass="lblDrop" runat="server" /><ajaxToolkit:FilteredTextBoxExtender ID="ftb_discount" runat="server" TargetControlID="discount" FilterType="Custom, Numbers" ValidChars="." /></td>
                </tr>
                <tr>
                    <td width="120" nowrap="nowrap"><div align="right">Taxable:&nbsp;&nbsp;</div></td>
                    <td class="label"><asp:CheckBox ID="taxable" runat="server" /></td>
                </tr>
            </table>
            
<asp:Panel ID="pnl_Variables" Visible="false" runat="server">
ID=&nbsp;<asp:label ID="unitID" runat="server" visible="true"/>
Unit=&nbsp;<asp:TextBox Width="280" ID="unittype" runat="server" Visible="true" />
del=&nbsp;<asp:CheckBox ID="deleted" runat="server" Visible="true" />
</asp:Panel>
            <asp:RequiredFieldValidator ID="r1" runat="server" ErrorMessage="The item number is required." ControlToValidate="itemnumber" EnableClientScript="false" />
            <asp:RequiredFieldValidator ID="r2" runat="server" ErrorMessage="The description is required." ControlToValidate="description" EnableClientScript="false" />
            <asp:RequiredFieldValidator ID="r3" runat="server" ErrorMessage="The amount is required." ControlToValidate="amount" EnableClientScript="false" />
            <asp:RequiredFieldValidator ID="r4" runat="server" ErrorMessage="The unit type is required." ControlToValidate="unittype" EnableClientScript="false" />
            <asp:RequiredFieldValidator ID="r5" runat="server" ErrorMessage="The amount is required." ControlToValidate="amount" EnableClientScript="false" />
            <asp:RequiredFieldValidator ID="r6" runat="server" ErrorMessage="The discount is required." ControlToValidate="discount" EnableClientScript="false" />
        </fieldset>
        <table cellpadding="2" border="0">
            <tr>
                <td>
                &nbsp;<asp:Button runat="server" Text="Save Changes" id="cmd_save" />
                &nbsp;<asp:button runat="server" Text="Refresh" id="cmd_refresh" OnClick="cmd_refresh_Click" />
                </td>
            </tr>
        </table>        
    </div>   
</asp:Content>

