<%--
Copyright (C) 2014 iPurchaseOrder. International copyright. All Rights Reserved.
This software is protected by United States and International copyright law and
international treaty provisions.
--%>

<%@ page language="VB" masterpagefile="~/admin/admin.master" autoeventwireup="false" inherits="admin_terms_default, App_Web_1fu7pofm" title="iPurchaseOrder v1.0 Administration" %>
<asp:Content ID="Content1" ContentPlaceHolderID="cnt" Runat="Server">

    <div id="content_partial">
    
        <h2 class="title no_space_under"></h2>
        
        <p class="pzerotop"><a href="edit.aspx">Add New Term</a></p>
        
        <asp:Panel ID="pnl_none" Visible="false" runat="server">
            <div id="div_none" class="alert_box_red">
                <p class="no_space_over no_space_under">
                <asp:Image ID="Image8" runat="server" ImageUrl="~/images/status-red.gif" AlternateText="Saved" /> There are no terms.</p>
            </div>
        </asp:Panel>

        <asp:Repeater ID="rpt" runat="server">
            <HeaderTemplate>
                <br />
                <table class="data" cellspacing="0" cellpadding="0" border="0" width="100%">
                    <tr class="title">
                        <td colspan="5"><h2 style="float:left;">Terms</h2></td>
                    </tr>
                    <tr class="header">
                        <th align="center" class="rpt_hdr" nowrap="nowrap" width="50">ID</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap" width="50">Active</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap" width="50">Action</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Description</th>
                        <th align="center" class="rpt_hdr" nowrap="nowrap">Del</th>
                    </tr>
                </HeaderTemplate>
            <ItemTemplate>
                    <tr class="shaded">
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("TermsId")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Active" runat="server" Checked='<%#Eval("IsActive")%>' enabled="false" /></td>
                        <td align="center" nowrap="nowrap"><a href="edit.aspx?id=<%# Eval("TermsId") %>"><asp:Image ID="Image3" runat="server" ImageUrl="~/images/icons/icon_edit.gif" Width="16" Height="16" tooltip="Edit Item" /></a></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("description")%></td>
                        <td align="center" nowrap="nowrap"><asp:imageButton ID="lnk_delete" runat="server" ImageUrl="~/images/icons/icon_delete.gif" tooltip='<%# functions.GetTermsFoundToolTip(DataBinder.Eval(Container.DataItem, "TermsId"))%>' CommandName="delete" CommandArgument='<%# Eval("TermsId") %>' OnClientClick="return confirm('Are you sure you want to delete this item?');" enabled='<%# functions.GetTermsFound(DataBinder.Eval(Container.DataItem, "TermsId"))%>' /></td>
                    </tr>
            </ItemTemplate>
            <AlternatingItemTemplate>
                    <tr class="noshaded">
                        <td class="rpt_hdr_center" nowrap="nowrap"><%#Eval("TermsId")%></td>
                        <td class="rpt_hdr_center" nowrap="nowrap"><asp:checkbox ID="Active" runat="server" Checked='<%#Eval("IsActive")%>' enabled="false" /></td>
                        <td align="center" nowrap="nowrap"><a href="edit.aspx?id=<%# Eval("TermsId") %>"><asp:Image ID="Image3" runat="server" ImageUrl="~/images/icons/icon_edit.gif" Width="16" Height="16" tooltip="Edit Item" /></a></td>
                        <td align="center" nowrap="nowrap" class="left"><%#Eval("description")%></td>
                        <td align="center" nowrap="nowrap"><asp:imageButton ID="lnk_delete" runat="server" ImageUrl="~/images/icons/icon_delete.gif" tooltip='<%# functions.GetTermsFoundToolTip(DataBinder.Eval(Container.DataItem, "TermsId"))%>' CommandName="delete" CommandArgument='<%# Eval("TermsId") %>' OnClientClick="return confirm('Are you sure you want to delete this item?');" enabled='<%# functions.GetTermsFound(DataBinder.Eval(Container.DataItem, "TermsId"))%>' /></td>
                    </tr>
            </AlternatingItemTemplate>
            <FooterTemplate>
                </table>
            </FooterTemplate>
        </asp:Repeater>
        
    </div> 
    
</asp:Content>

